textures/battery_terrain/battery_base
{
	q3map_terrain
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 179
	q3map_noTJunc
}

textures/battery_terrain/battery_0
{
	qer_editorImage textures/battery_terrain/battery_terrain_0
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_1
{
	qer_editorImage textures/battery_terrain/battery_terrain_1
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_2
{
	qer_editorImage textures/battery_terrain/battery_terrain_2
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_3
{
	qer_editorImage textures/battery_terrain/battery_terrain_3
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_4
{
	qer_editorImage textures/battery_terrain/battery_terrain_4
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_5
{
	qer_editorImage textures/battery_terrain/battery_terrain_5
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}


textures/battery_terrain/battery_0to1
{
	qer_editorImage textures/battery_terrain/battery_terrain_0to1
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
		alphaGen vertex
		
	}
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_0to2
{
	qer_editorImage textures/battery_terrain/battery_terrain_0to2
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
		alphaGen vertex
		
	}
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}
}

textures/battery_terrain/battery_0to3
{
	qer_editorImage textures/battery_terrain/battery_terrain_0to3
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
		alphaGen vertex
		
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_0to4
{
	qer_editorImage textures/battery_terrain/battery_terrain_0to4
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
		alphaGen vertex
		
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}

	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_0to5
{
	qer_editorImage textures/battery_terrain/battery_terrain_0to5
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_disturb_bright.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}


textures/battery_terrain/battery_1to2
{
	qer_editorImage textures/battery_terrain/battery_terrain_1to2
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
		alphaGen vertex

	}
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_1to3
{
	qer_editorImage textures/battery_terrain/battery_terrain_1to3
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_1to4
{
	qer_editorImage textures/battery_terrain/battery_terrain_1to4
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_1to5
{
	qer_editorImage textures/battery_terrain/battery_terrain_1to5
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_wave_bright.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}



textures/battery_terrain/battery_2to3
{
	qer_editorImage textures/battery_terrain/battery_terrain_2to3
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_2to4
{
	qer_editorImage textures/battery_terrain/battery_terrain_2to4
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_2to5
{
	qer_editorImage textures/battery_terrain/battery_terrain_2to5
	q3map_baseshader textures/battery_terrain/battery_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/rocky_sand.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_3to4
{
	qer_editorImage textures/battery_terrain/battery_terrain_3to4
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_3to5
{
	qer_editorImage textures/battery_terrain/battery_terrain_3to5
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_4to5
{
	qer_editorImage textures/battery_terrain/battery_terrain_4to5
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/sand_patchnoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}

textures/battery_terrain/battery_4to3
{
	qer_editorImage textures/battery_terrain/battery_terrain_4to3
	q3map_baseshader textures/battery_terrain/battery_base
	{
		map textures/temperate_sd/rock_grayvar.tga
		rgbgen identity
		alphaGen vertex
	}
	{
		map textures/temperate_sd/rock_graynoise.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 4 4
	}

}