//-------------------------------------------------------
// Visible Clips and Tris
//-------------------------------------------------------

textures/gallery/clip_visible
{
	qer_editorImage textures/gallery/clip.tga
	qer_trans 0.25
	deformVertexes wave 1 sin -0.5 0 0 1
	q3map_lightImage textures/gallery/clip.tga
	q3map_bounceScale 0.0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	noPicMip
	cull none
	{ 
		map textures/gallery/clip.tga 
		blendFunc GL_SRC_ALPHA GL_ONE 
		rgbGen const ( 0.25 0.25 0.25 )
		tcGen environment 
		tcMod scroll 0.025 -0.07625 
	}
} 

textures/gallery/tris_marker
{
	qer_editorImage textures/gallery/ei/tris.jpg
	q3map_bounceScale 0.0
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm nolightmap
	noPicMip
	cull none
	{ 
		map textures/gallery/tris.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.5
		rgbGen identity
	}
}


//-------------------------------------------------------
// Teleport
//-------------------------------------------------------

textures/gallery/teleport
{      
	qer_editorImage textures/gallery/teleport.tga
	surfaceparm nodlight
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	noPicMip 
	deformVertexes autosprite	
	{
		clampMap textures/gallery/teleport.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0 0.5
		tcMod rotate 120
	}
	{
		clampMap textures/gallery/teleport.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		tcMod stretch sin 0.7 0.25 0.3 0.75
		tcMod rotate -80
	}
	

}


//-------------------------------------------------------
// Water
//-------------------------------------------------------

textures/gallery/water_originals
{
	qer_editorimage textures/gallery/pool3d_3e.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin 0.25 0.25 0 0.5 
	qer_trans 0.5
	q3map_globaltexture
	q3map_bounceScale 0.25
	{
		map textures/gallery/pool3d_5e.tga
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcMod scale 0.5 0.5
		tcMod scroll 0.025 0.01
	}
	{
		map textures/gallery/pool3d_3e.tga
		blendFunc GL_DST_COLOR GL_ONE
		tcMod scale -0.5 -0.5
		tcMod scroll 0.025 0.025
	}
	{
		map $lightmap 
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

//-------------------------------------------------------
// Alphamod Brushes
//-------------------------------------------------------

textures/gallery/alpha_000		//Only primary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_050
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_065
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.65
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}

textures/gallery/alpha_100		//Only secondary texture
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.35
}