textures/goldrush_terrain/goldrush_base
{
	q3map_lightmapaxis z
	q3map_lightmapmergable
	q3map_lightmapsize 512 512
	q3map_tcGen ivector ( 299 0 0 ) ( 0 299 0 )
	q3map_shadeAngle 90
	q3map_nonPlanar
	
	q3map_noTJunc
}

textures/goldrush_terrain/goldrush_0
{
	qer_editorImage textures/goldrush_terrain/goldrush_0.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	surfaceparm landmine
	surfaceparm gravelsteps
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_0to1
{
	qer_editorImage textures/goldrush_terrain/goldrush_0to1.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_0to2
{
	qer_editorImage textures/goldrush_terrain/goldrush_0to2.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_0to3
{
	qer_editorImage textures/goldrush_terrain/goldrush_0to3.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/temperate_sd/sand_bubbles_bright.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_1
{
	qer_editorImage textures/goldrush_terrain/goldrush_1.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_1to2
{
	qer_editorImage textures/goldrush_terrain/goldrush_1to2.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_1to3
{
	qer_editorImage textures/goldrush_terrain/goldrush_1to3.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/desert_sd/pavement_quad_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_2
{
	qer_editorImage textures/goldrush_terrain/goldrush_2.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_2to3
{
	qer_editorImage textures/goldrush_terrain/goldrush_2to3.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	{
		map textures/desert_sd/pavement_tris_sandy.tga
		tcMod scale 1.75 1.75
	}
	{
		map textures/desert_sd/road_dirty_gravel.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}

textures/goldrush_terrain/goldrush_3
{
	qer_editorImage textures/goldrush_terrain/goldrush_3.tga
	q3map_baseshader textures/goldrush_terrain/goldrush_base
	surfaceparm gravelsteps
	surfaceparm landmine
	{
		map textures/desert_sd/road_dirty_gravel.tga
		tcMod scale 1.75 1.75
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 3 3
		detail
	}
}