//======================================
// Oasis terrain
//======================================


textures/oasis_terrain/oasis_base
{
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )
	q3map_lightmapsize 512 512
	q3map_lightmapMergable
	q3map_lightmapsamplesize 16
	q3map_lightmapaxis z
	q3map_shadeangle 45
	q3map_nonPlanar	
	q3map_noTJunc
}

textures/oasis_terrain/oasis_0
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_3
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_3
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_4
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_4
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_5
	q3map_baseshader textures/oasis_terrain/oasis_base
		 
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to1
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to1
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to2
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to2
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to3
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to3
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to4
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to4
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to5
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_0to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_0to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_wave_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to2
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to2
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to3
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to3
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to4
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to4
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to5
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_1to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_1to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_sand_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2to3
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2to3
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2to4
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2to4
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2to5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2to5
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_2to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_2to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_patchy.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_3to4
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_3to4
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_3to5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_3to5
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_3to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_3to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_3to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_3to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/sand_disturb_desert.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_4to5
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_4to5
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_4to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_4to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_4to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_4to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/grass_desert_flat.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_5to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_5to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_5to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_5to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	 
	 
	
	{
		map textures/desert_sd/rock_edged_smooth.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_6to7
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_6to7
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}

textures/oasis_terrain/oasis_7to6
{
	qer_editorImage textures/oasis_terrain/oasis_terrain_7to6
	q3map_baseshader textures/oasis_terrain/oasis_base
	surfaceparm landmine
	surfaceparm gravelsteps
	
	{
		map textures/desert_sd/sand_dirt_medium.tga
		rgbgen identity
	}
	{
		map textures/desert_sd/sand_gravels_bright.tga
		rgbgen identity
		alphaGen vertex
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		 
	}
	{
		map textures/detail_sd/sanddetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		detail
		tcMod scale 6 6
	}
}