//======================================
// Railgun terrain
//======================================

textures/railgun_terrain/railgun_base
{
	q3map_terrain
	q3map_nonPlanar
	q3map_shadeAngle 90
	q3map_lightmapMergable
	q3map_lightmapaxis z
	q3map_lightmapsize 512 512
	q3map_normalimage textures/sd_bumpmaps/normalmap_terrain.tga
	q3map_tcGen ivector ( 512 0 0 ) ( 0 512 0 )
	q3map_tcMod rotate 37
	q3map_tcMod scale 1 1
	q3map_noTJunc
	surfaceparm landmine
	surfaceparm snowsteps
}

textures/railgun_terrain/railgun_0
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to1
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to1
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to2
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to2
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to3
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to3
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_muddy.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to4
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_0to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_0to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_dirt_m03i_2_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1to2
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1to2
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1to3
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1to3
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_muddy.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1to4
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1to4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1to5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1to5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_1to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_1to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_2
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_2
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_2to3
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_2to3
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_muddy.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_2to4
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_2to4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_2to5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_2to5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_2to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_2to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_var01_big.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_3
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_3
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_muddy.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_3to4
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_3to4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_muddy.jpg
		rgbgen identity
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_3to5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_3to5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_muddy.jpg
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_3to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_3to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_muddy.jpg
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_4
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/mxrock4b_snow.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_4to5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_4to5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/mxrock4b_snow.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_noisy.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_4to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_4to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/mxrock4b_snow.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_5
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_5
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_noisy.tga
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_5to1
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_5to1
	q3map_baseshader textures/mp_railgun/lmterrain_base
	{
		map textures/snow_sd/snow_noisy.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/bigrock_rounded_faint.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_5to2
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_5to2
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_noisy.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/snow_var01_big.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_5to6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_5to6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/snow_noisy.tga
		rgbgen identity
	}
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_6
{
	qer_editorImage textures/railgun_terrain/railgun_terrain_6
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		rgbgen identity
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}

textures/railgun_terrain/railgun_6to4
{
//	qer_editorImage textures/railgun_terrain/railgun_terrain_6to4
	q3map_baseshader textures/railgun_terrain/railgun_base
	{
		map textures/snow_sd/s_grass_ml03b_big.jpg
		rgbgen identity
	}
	{
		map textures/snow_sd/mxrock4b_snow.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
		alphaGen vertex
	}
	{
		lightmap $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbgen identity
	}
	{
		map textures/detail_sd/snowdetail.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 5 5
		detail
	}
}